package com.nanyan.securitylink.controller;

import com.nanyan.securitylink.dto.TranslateDTO;
import com.nanyan.securitylink.service.AIService;
import com.nanyan.securitylink.vo.AIResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.nanyan.securitylink.vo.Response;

@RestController
public class AIController {
    @Autowired
    AIService aiService;
    @PostMapping("/translate")
    public Response<AIResponse> translate(@RequestBody TranslateDTO translateDTO) {
        return Response.SUCCESS(aiService.translate(translateDTO));
    }
    @PostMapping("/tag")
    public Response<AIResponse> newsTag(@RequestBody TranslateDTO translateDTO) {
        return Response.SUCCESS(aiService.newsTags(translateDTO));
    }
}
